<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
    Document    : vym2gan.xsl
    Created     : 20051115
    License     : GPL
    Version     : 0.1
    VYM version : 1.7
    Author      : Clemens Kraus - www.clemens-kraus.de
    Description : transforms vym-files into ganttproject files.
    Bugs        : -
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<project name="vym2gan" company="org" view-date="11/15/2005" view-zoom="5" version="2.0-pre1">
			<description>
			    <xsl:value-of select="/vymmap/mapcenter/heading"/>
			</description>
			<tasks>
				<xsl:apply-templates select="/vymmap/mapcenter/branch"/>
			</tasks>
		</project>
	</xsl:template>
	
	<xsl:template match="branch" >
			<task>
				<xsl:attribute name="name"><xsl:value-of select="heading"/></xsl:attribute>
				<xsl:apply-templates/>
			</task>
	</xsl:template>
	
</xsl:stylesheet>

